{% load static %}

<!DOCTYPE html>
<html>
    <head>
      <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
      {% block style %}
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static "style.css" %}" />
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
      {% endblock style %}

      <title>{% block page_title %}Default title{% endblock page_title %}</title>
      {% block script_engine %}
        <!-- jQuery library -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <!-- Popper JS -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
        <!-- Latest compiled JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
      {% endblock script_engine %}
      {% block header %}{% endblock header %}
    </head>

    <body>
    {% block section_title %}{% endblock section_title %}
    {% block navigation %}
    {% include "navigation.html" %}
    {% endblock navigation %}
    {% block content %}
    {% endblock content %}
    </body>
</html>
